
Redmine - Feature #1005

Add the addition/removal/change of related issues to the history

2008-04-07 00:21 - Andrew Ness

Status: Closed Start date: 2008-04-07

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed   

Description

I can't find any trace of when someone adds, removes, or changes an issue relation.  So if I add a relation between two issues and

someone else comes along and removes it, there is no history to show that thy were ever marked as related.

Related issues:

Related to Redmine - Feature #12587: Notify for relation changes Closed

Related to Redmine - Feature #7057: Send email notification on subtask and pa... Closed 2010-12-06

Related to Redmine - Feature #12789: Redmine - design study New

Related to Redmine - Defect #15677: Links for relations in notifications do n... Closed

Related to Redmine - Defect #19660: Issue relation removal is not displayed p... New

Has duplicate Redmine - Feature #3546: "Related issues" should be tracked in ... Closed 2009-06-26

Has duplicate Redmine - Defect #9952: Add priority changes to issue history Closed

Has duplicate Redmine - Feature #12264: Show adding of ticket relations in is... Closed

Has duplicate Redmine - Feature #7892: Issue relationships history and notifi... Closed 2011-03-16

Associated revisions

Revision 11885 - 2013-05-19 04:09 - Toshi MARUYAMA

add journal after creating/deleting issue relation (#1005)

Revision 11886 - 2013-05-19 04:09 - Toshi MARUYAMA

remove "del" tag from deleted issue relation (#1005)

It is confused with deleted issue.

Revision 11887 - 2013-05-19 05:40 - Toshi MARUYAMA

adjust functional IssuesControllerTest (#1005)

Revision 11939 - 2013-06-06 18:19 - Jean-Philippe Lang

Fixed that journal details about issue relations may disclose issues that are not visible (#1005).

Revision 11940 - 2013-06-06 18:22 - Jean-Philippe Lang

Prepends issue numbers with a number sign (#1005).

Revision 11941 - 2013-06-06 18:25 - Jean-Philippe Lang

Splits tests (#1005).

Revision 12014 - 2013-07-13 11:56 - Jean-Philippe Lang

Fixed that relations to issues that are not visible are displayed in the issue history (#1005).

Revision 12015 - 2013-07-13 12:32 - Jean-Philippe Lang

Don't notify users about relations that are not visible (#1005).

History

#1 - 2008-08-15 21:42 - Mischa The Evil
+1

#2 - 2008-08-19 09:07 - Sergej Jegorov

+1

#3 - 2008-11-01 12:12 - Markus Knittig

+1

#4 - 2009-01-05 10:21 - Gerrit Kaiser

+1

#5 - 2009-01-05 23:25 - Jerome Vanthournout

+1

#6 - 2010-11-09 16:36 - Tobias Roeser

I'm willing to create a patch that adds this feature. Can someone give me a hint where to start. E.g. which file or function to look first. I'm new to

Redmine/Ruby development, btw.

#7 - 2010-11-12 11:23 - Nils Linde

+1

#8 - 2011-04-18 11:56 - Pavel Pivovarov

+1

#9 - 2011-04-18 12:10 - Tobias Roeser

Tobias Roeser wrote:

I'm willing to create a patch that adds this feature. Can someone give me a hint where to start. E.g. which file or function to look first. I'm new to

Redmine/Ruby development, btw.

 Sorry, no updates yet from my front. Lack of time. But as far as I estimate, this patch should be a low effort for someone with Ruby on Rails skils.

#10 - 2011-04-18 12:11 - Tobias Roeser

See Comment 7 of #3546 for a starting point if you want to write a patch.

#11 - 2011-04-18 12:20 - Etienne Massip

- Target version set to Candidate for next major release

#12 - 2011-04-18 12:23 - Etienne Massip

Editing a relationship is not possible at the moment, but in the case it would be, I'm not sure this is something that should be tracked in history.

#13 - 2011-04-28 19:47 - Gilles Cornu

+1

#14 - 2011-05-02 11:58 - Anonymous

+1

#15 - 2011-06-29 19:41 - Katrina Brinkley

+1

#16 - 2011-07-23 15:08 - Anonymous

+1

#17 - 2011-11-29 14:31 - Lucy Yevseyeva

+1

#18 - 2012-01-06 11:46 - pasquale [:dedalus]
+1: it's a necessary feature

#19 - 2012-02-04 11:44 - Sridhar P

- File feature_1005_1.diff added

Okay, here comes the patch. The wording for the history entries might not be exactly pleasing, but you can see that a relation has been added and

deleted in the history.

#20 - 2012-02-04 12:48 - Sridhar P

Sridhar P wrote:

Okay, here comes the patch. The wording for the history entries might not be exactly pleasing, but you can see that a relation has been added

and deleted in the history.

 Patch was built against trunk at rev 8761.

#21 - 2012-07-31 17:46 - Thomas Themel

+1

#22 - 2012-12-13 12:44 - Johannes Wienke

+1

#23 - 2012-12-21 06:03 - Toshi MARUYAMA

- File feature_1005_r11061.diff added

This is note-19 patch rebased to trunk r11061.

#24 - 2012-12-21 12:28 - Toshi MARUYAMA

- File feature_1005_r11061-Ver2.diff added

Sorry, note-23 patch has syntax error.

This is fixed patch for trunk r11061.

#25 - 2013-01-06 07:38 - #  And

Necessary feature.

#26 - 2013-01-06 08:43 - Daniel Felix

+1 from me.

Would be good in combination with #5061.

Both are things which should be displayed in the ticket history. But, there should be some kind of filter like in the activity list, or some tabs on top of

the history. Otherwise such a list could be too long.

Example for those Tabs:

All | Ticket Notes | Relations | Timelogs

#27 - 2013-01-07 11:36 - Toshi MARUYAMA

- File trunk-r11137.diff added

- File note-24.png added

- File trunk-r11137-patch.png added

This is a updated patch for trunk r11137.

'Delete line' which is removed relation issue is confusing.

I remove it.

Note-24
For r11137 patch

 trunk-r11137-patch.png  

#28 - 2013-01-07 15:29 - Daniel Felix

I just testet the latest patch trunk-r11137.diff

IT works pretty well. I tried the different relations. Would be nice to see this in Redmine.

#29 - 2013-01-12 19:05 - Daniel Felix

Well this works well, the only think which would be good is another status icon, which is displayed on the activity tab. This would help to determine

which action caused the new issue-note. Something like the ticket with the comment-symbol.

#30 - 2013-01-25 08:25 - Toshi MARUYAMA

- File trunk-r11262.diff added

This is a patch for trunk r11262.

Note 27 patch has an error when relational issue is deleted.

#31 - 2013-01-25 11:28 - Daniel Felix

Thanks Toshi, I'll try this new patch. :-)

Maybe this could be useful to get a better display in the history #12789-2.

#32 - 2013-03-01 12:26 - Toshi MARUYAMA

Note 30 trunk-r11262.diff has #13273 problem.

#33 - 2013-04-10 15:27 - Toshi MARUYAMA

- File issue1005-trunk-r11711.diff added

trunk-r11262.diff has bug when exporting pdf.

This patch fixed it.

#34 - 2013-04-18 13:41 - Toshi MARUYAMA

- File issue-1005-trunk-r11723.diff added

- % Done changed from 0 to 90

I have added tests.

#35 - 2013-05-19 16:34 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version changed from Candidate for next major release to 2.4.0

- % Done changed from 90 to 100

- Resolution set to Fixed

Committed in trunk r11885 and r11886.

#36 - 2013-06-10 18:27 - Jean-Philippe Lang

- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang

r11939 fixes some disclosures of private issues subjects on the issue view but still we have a problem with email notifications. Relations to issues that

are not visible are not even listed, they should not appear in the issue history and not be notified to user who can't see them. It's not an easy fix for

2025-05-17 4/5

https://www.redmine.org/projects/redmine/repository/svn/revisions/11137
https://www.redmine.org/attachments/8744
https://www.redmine.org/projects/redmine/repository/svn/revisions/11262
https://www.redmine.org/issues/12789#note-2
https://www.redmine.org/attachments/8904
https://www.redmine.org/issues/13273
https://www.redmine.org/attachments/8904
https://www.redmine.org/projects/redmine/repository/svn/revisions/11885
https://www.redmine.org/projects/redmine/repository/svn/revisions/11886
https://www.redmine.org/projects/redmine/repository/svn/revisions/11939


now but it should be easier to implement after the changes that need to be done for #5037.

#37 - 2013-07-13 12:50 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Fixed in r12014 and r12015.

#38 - 2013-12-11 08:46 - Toshi MARUYAMA

- Related to deleted (Feature #5061: Show time log entries in issue history)

#39 - 2013-12-11 09:10 - Toshi MARUYAMA

- Related to Defect #15677: Links for relations in notifications do not include hostname added

#40 - 2014-04-04 19:41 - Jimmy Praet

Can the e-mail notifications for updates of issue relationships be disabled (without disabling all other "Issue updated" notifications)?

#41 - 2014-04-05 04:03 - Toshi MARUYAMA

Jimmy Praet wrote:

Can the e-mail notifications for updates of issue relationships be disabled (without disabling all other "Issue updated" notifications)?

 No.

There is feature request #16098.

#42 - 2015-04-19 14:37 - Toshi MARUYAMA

- Related to Defect #19660: Issue relation removal is not displayed properly on the issue histsory added

#43 - 2015-04-19 14:37 - Toshi MARUYAMA

- Related to deleted (Defect #19660: Issue relation removal is not displayed properly on the issue histsory)

#44 - 2015-04-19 14:37 - Toshi MARUYAMA

- Related to Defect #19660: Issue relation removal is not displayed properly on the issue histsory added

Files

feature_1005_1.diff 5.23 KB 2012-02-04 Sridhar P

feature_1005_r11061.diff 5.12 KB 2012-12-21 Toshi MARUYAMA

feature_1005_r11061-Ver2.diff 5.13 KB 2012-12-21 Toshi MARUYAMA

trunk-r11137.diff 6.43 KB 2013-01-07 Toshi MARUYAMA

note-24.png 15.9 KB 2013-01-07 Toshi MARUYAMA

trunk-r11137-patch.png 18.9 KB 2013-01-07 Toshi MARUYAMA

trunk-r11262.diff 6.59 KB 2013-01-25 Toshi MARUYAMA

issue1005-trunk-r11711.diff 5.86 KB 2013-04-10 Toshi MARUYAMA

issue-1005-trunk-r11723.diff 10.8 KB 2013-04-18 Toshi MARUYAMA
